Multiple Series IDs

Multiple Series IDs

This endpoint returns multiple series of data, matching the requested series ids for all potential options, in the specified date range.

Does not accept plant series IDs. For plant data use "get_multi_series_plant_data"

You can visualise various Enact series on Enact's dashboard page.


Using the LCPDelta Python Package

Synchronous

from lcp_delta import enact
from datetime import date

enact_api_helper = enact.APIHelper(username, public_api_key)

# see 'BODY PARAMS' section below for details on corresponding parameter values
response_dataframe = enact_api_helper.get_multi_series_data(
	["OutturnFuel", "RealtimeDemand"],
	date(2023,6,21),
	date(2023,6,23),
	"Gb",
	time_zone_id="UTC",
  parse_datetimes=True # optionally parse dates to datetimes and index by them (ascending)
)

print(response_dataframe)

Using the API Directly

The response object is a dictionary of data keyed by column header with lists of data values.

To request data for a single day, set the from and to fields in the request body equal to each other.

The response object holds all data for the multiple requested series.

Body Params
seriesIds
array of strings
required
Defaults to OutturnFuel,RealtimeDemand

A list of Enact series IDs

seriesIds*
string
required
Defaults to Gb

The Enact ID for the country of the requested series.

string
required
Defaults to 2023-06-21

The start of the date range being requested for.

string
required
Defaults to 2023-06-23

The end of the date range being requested for (inclusive).

boolean
Defaults to false

The returned series will be averaged into half-hourly blocks if this is set to true.

boolean
Defaults to false

Data is only returned for the specified times as well as dates if this is set to true.

string

The time zone ID of the data to be returned (UTC by default).

string

The time zone ID of the requested time range.

Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json